path: /build/build/libunwind-sys-libs-1.6.2+2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="libatomic lzma zlib" emerge sys-libs/libunwind -pv -t && \
    USE="libatomic lzma zlib" emerge -j ${JOBS} --nodeps sys-libs/libunwind && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/libunwind && \
    luet-portage --dir /pkgdir/libunwind sys-libs/libunwind && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree:8b7a577ccaf9143e0e6a59a5d4016c4fcb4e2b5da07c5707fe680789e033acfd
  package:
    name: libunwind
    version: 1.6.2+2
    category: sys-libs
    use_flags:
    - libatomic
    - lzma
    - zlib
    requires:
    - name: gdbus-codegen
      version: '>=0'
      category: dev-util
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Portable and efficient API to determine the call-chain of a program
    uri:
    - https://savannah.nongnu.org/projects/libunwind
    license: MIT
    buildtimestamp: 2025-12-08 14:19:08.43623833 +0000 UTC m=+299.747131658
    labels:
      BDEPEND: '>=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
        ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
      DEPEND: lzma? ( app-arch/xz-utils[static-libs?] ) zlib? ( sys-libs/zlib[static-libs?]
        ) !sys-libs/libunwind:7 libatomic? ( dev-libs/libatomic_ops )
      IUSE: debug debug-frame doc libatomic lzma static-libs zlib
      RDEPEND: lzma? ( app-arch/xz-utils[static-libs?] ) zlib? ( sys-libs/zlib[static-libs?]
        ) !sys-libs/libunwind:7
      emerge.packages: sys-libs/libunwind
      kit: dev-kit
      original.package.name: sys-libs/libunwind
      original.package.slot: "0"
      original.package.version: 1.6.2
    treedir: /build/packages
  package_dir: /pkgdir/libunwind
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: a002022ee6049a1a412442dc51f75d0344e6e87b798a8662d46f91cc0dac417e
compressiontype: zstd
files:
- usr/include/libunwind-common.h
- usr/include/libunwind-coredump.h
- usr/include/libunwind-dynamic.h
- usr/include/libunwind-ptrace.h
- usr/include/libunwind-x86_64.h
- usr/include/libunwind.h
- usr/include/unwind.h
- usr/lib64/libunwind-coredump.so
- usr/lib64/libunwind-coredump.so.0
- usr/lib64/libunwind-coredump.so.0.0.0
- usr/lib64/libunwind-generic.so
- usr/lib64/libunwind-ptrace.so
- usr/lib64/libunwind-ptrace.so.0
- usr/lib64/libunwind-ptrace.so.0.0.0
- usr/lib64/libunwind-setjmp.so
- usr/lib64/libunwind-setjmp.so.0
- usr/lib64/libunwind-setjmp.so.0.0.0
- usr/lib64/libunwind-x86_64.so
- usr/lib64/libunwind-x86_64.so.8
- usr/lib64/libunwind-x86_64.so.8.0.1
- usr/lib64/libunwind.so
- usr/lib64/libunwind.so.8
- usr/lib64/libunwind.so.8.0.1
- usr/lib64/pkgconfig/libunwind-coredump.pc
- usr/lib64/pkgconfig/libunwind-generic.pc
- usr/lib64/pkgconfig/libunwind-ptrace.pc
- usr/lib64/pkgconfig/libunwind-setjmp.pc
- usr/lib64/pkgconfig/libunwind.pc
- usr/share/doc/libunwind-1.6.2/AUTHORS
- usr/share/doc/libunwind-1.6.2/ChangeLog.bz2
- usr/share/doc/libunwind-1.6.2/NEWS.bz2
- usr/share/doc/libunwind-1.6.2/README.bz2
- usr/share/doc/libunwind-1.6.2/TODO.bz2
- var/db/pkg/sys-libs/libunwind-1.6.2/BDEPEND
- var/db/pkg/sys-libs/libunwind-1.6.2/BUILD_TIME
- var/db/pkg/sys-libs/libunwind-1.6.2/CATEGORY
- var/db/pkg/sys-libs/libunwind-1.6.2/CBUILD
- var/db/pkg/sys-libs/libunwind-1.6.2/CFLAGS
- var/db/pkg/sys-libs/libunwind-1.6.2/CHOST
- var/db/pkg/sys-libs/libunwind-1.6.2/CONTENTS
- var/db/pkg/sys-libs/libunwind-1.6.2/COUNTER
- var/db/pkg/sys-libs/libunwind-1.6.2/CTARGET
- var/db/pkg/sys-libs/libunwind-1.6.2/CXX
- var/db/pkg/sys-libs/libunwind-1.6.2/CXXFLAGS
- var/db/pkg/sys-libs/libunwind-1.6.2/DEFINED_PHASES
- var/db/pkg/sys-libs/libunwind-1.6.2/DEPEND
- var/db/pkg/sys-libs/libunwind-1.6.2/DESCRIPTION
- var/db/pkg/sys-libs/libunwind-1.6.2/EAPI
- var/db/pkg/sys-libs/libunwind-1.6.2/FEATURES
- var/db/pkg/sys-libs/libunwind-1.6.2/HOMEPAGE
- var/db/pkg/sys-libs/libunwind-1.6.2/INHERITED
- var/db/pkg/sys-libs/libunwind-1.6.2/IUSE
- var/db/pkg/sys-libs/libunwind-1.6.2/IUSE_EFFECTIVE
- var/db/pkg/sys-libs/libunwind-1.6.2/KEYWORDS
- var/db/pkg/sys-libs/libunwind-1.6.2/LDFLAGS
- var/db/pkg/sys-libs/libunwind-1.6.2/LICENSE
- var/db/pkg/sys-libs/libunwind-1.6.2/NEEDED
- var/db/pkg/sys-libs/libunwind-1.6.2/NEEDED.ELF.2
- var/db/pkg/sys-libs/libunwind-1.6.2/PF
- var/db/pkg/sys-libs/libunwind-1.6.2/PROVIDES
- var/db/pkg/sys-libs/libunwind-1.6.2/RDEPEND
- var/db/pkg/sys-libs/libunwind-1.6.2/REQUIRES
- var/db/pkg/sys-libs/libunwind-1.6.2/SIZE
- var/db/pkg/sys-libs/libunwind-1.6.2/SLOT
- var/db/pkg/sys-libs/libunwind-1.6.2/USE
- var/db/pkg/sys-libs/libunwind-1.6.2/environment.bz2
- var/db/pkg/sys-libs/libunwind-1.6.2/libunwind-1.6.2.ebuild
- var/db/pkg/sys-libs/libunwind-1.6.2/repository
package_cacheimage: ""
runtime:
  name: libunwind
  version: 1.6.2+2
  category: sys-libs
  use_flags:
  - libatomic
  - lzma
  - zlib
  requires:
  - name: xz-utils
    version: '>=0'
    category: app-arch
  - name: zlib
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Portable and efficient API to determine the call-chain of a program
  uri:
  - https://savannah.nongnu.org/projects/libunwind
  license: MIT
  labels:
    BDEPEND: '>=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
      ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4'
    DEPEND: lzma? ( app-arch/xz-utils[static-libs?] ) zlib? ( sys-libs/zlib[static-libs?]
      ) !sys-libs/libunwind:7 libatomic? ( dev-libs/libatomic_ops )
    IUSE: debug debug-frame doc libatomic lzma static-libs zlib
    RDEPEND: lzma? ( app-arch/xz-utils[static-libs?] ) zlib? ( sys-libs/zlib[static-libs?]
      ) !sys-libs/libunwind:7
    emerge.packages: sys-libs/libunwind
    kit: dev-kit
    original.package.name: sys-libs/libunwind
    original.package.slot: "0"
    original.package.version: 1.6.2
